package ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.rdfa.data.RDFaEntity;
import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 19.08.13
 * Time: 19:38
 */
public class JsonParsingRDFaException extends RDFaException {
    public JsonParsingRDFaException(final boolean critical, final RDFaEntity card, final String message) {
        super(critical, card, message);
    }

    public JsonParsingRDFaException(final boolean critical, final RDFaEntity card, final String message, final EntityLocation location) {
        super(critical, card, message, location);
    }

    @Override
    public String getKey() {
        return "json_parsing";
    }
}
